#include "delay.h"
#include "usart.h"
#include "timer.h"
#include "dac.h"
#include "stdlib.h"
#include "stdio.h"
#include "string.h"

extern char USART_RX_BUF[200];

void setfreq(int freq);
void STEP_SUBDIVIDE(int divide);
void set_CurrentValue(int value);
//void moveto(void);
void moveto(int target);

void stopmotormove(void);
void movetozero(void);

void already_zero(void);
void moveby(void);
void switch_fan(void);
void switch_zheng(void);


